from cvzone.HandTrackingModule import HandDetector
import cv2

ESC = 27

cap = cv2.VideoCapture(0)
ratio = cap.get(cv2.CAP_PROP_FRAME_WIDTH) / cap.get(cv2.CAP_PROP_FRAME_HEIGHT)
WIDTH = 400
HEIGHT = int(WIDTH / ratio)

detector = HandDetector(detectionCon = 0.5, maxHands = 1)

while cap.isOpened():
    success, img = cap.read()
    img = cv2.resize(img, (WIDTH, HEIGHT)) 
    hands, img = detector.findHands(img)
    if hands:
        hand = hands[0]
        bbox = hand['bbox']        
        fingers = detector.fingersUp(hand)
        totalFingers = fingers.count(1)
        cv2.putText(img, f'Fingers:{totalFingers}', (bbox[0] + 50, bbox[1] - 30),
                    cv2.FONT_HERSHEY_PLAIN, 2, (0, 255, 0), 2)
    cv2.imshow('Image', img)

    if cv2.waitKey(1) == ESC:
        break
        
cap.release()
cv2.destroyAllWindows()